Bug 126389 - CDROM won't mount after FC1-->FC2 upgrade
CDROM won't mount after FC1-->FC2 upgrade
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Depends On:
  Show dependency treegraph
Reported: 2004-06-20 22:32 EDT by Sergio
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-25 22:34:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sergio 2004-06-20 22:32:45 EDT
Description of problem:

After upgrading from FC1-->FC2 attempts to mount /dev/cdrom
will produce the error mount: /dev/cdrom is not a valid block device.
This was working fine in FC1

Version-Release number of selected component (if applicable):

Kernel version 2.6.6-1.435.

How reproducible:

Steps to Reproduce:
1. Upgrade from FC1 to FC2
2. As root issue mount /dev/cdrom /mnt/cdrom
Actual results:

Expected results:

Additional info:
Comment 1 Sergio 2004-06-20 22:45:11 EDT
After some more investigation I've found:

Prior to upgrade the /var/log/messages file contained the following
information during a boot sequence:

Jun 15 21:57:53 master kernel: hdc: YAMAHA CRW3200E, ATAPI CD/DVD-ROM

Followed by (a little later):

Jun 15 21:57:55 master kernel: SCSI subsystem driver Revision: 1.00
Jun 15 21:57:55 master kernel: hdc: attached ide-scsi driver.
Jun 15 21:57:55 master kernel: scsi0 : SCSI host adapter emulation for
IDE ATAPI devices
Jun 15 21:57:55 master kernel:   Vendor: YAMAHA    Model: CRW3200E   
      Rev: 1.0b
Jun 15 21:57:55 master kernel:   Type:   CD-ROM                      
      ANSI SCSI revision: 02:

After the upgrade, the second section is missing that is the only line
that appears during the boot sequence is:

Jun 18 22:56:42 master kernel: hdc: YAMAHA CRW3200E, ATAPI CD/DVD-ROM

I also noticed that in the kernel-2.6.6-i686.config file, which I
assume is used to build the distribution kernel, that


I would assume this is the cause but are there other related options
that need to be set?
Comment 2 Arjan van de Ven 2004-06-21 02:49:00 EDT
/dev/cdrom is a symlink, I suspect it didn't get updated to point to
/dev/hdc during the upgrade...
Comment 3 Sergio 2004-06-21 08:22:35 EDT
I checked that, the symlink points to /dev/hdc...
Comment 4 Sergio 2004-06-21 20:01:35 EDT
I've solved my own problem. The issue is in grub.conf. During the
FC1-->FC2 upgrade the module ide-scsi was not compiled in as part of
the kernel distribution (along with destroying my X config, my pppd
config, breaking my sound, etc etc etc). I understand why the module
wasn't compiled in since it crashes when "modprobed". The solution is
to remove the hdc=ide-scsi from the kernel line in the grub.conf file.

Note You need to log in before you can comment on or make changes to this bug.